package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 * 尺寸外观检查实绩
 * @author lzh 2015-7-24
 *
 */
public class AppearanceCheckResult implements Serializable {
	/** VersionUID */
    private static final long serialVersionUID = 1L;
    /** 计划号 */
    private String planNo;
    /** 产线代码 */
    private String plineCode;
    /** 是否合格 0合格  1不合格 */
    private String checkResult;
    /** 外径范围上限 */
    private String  ODMax;
    /** 外径范围下限 */
    private String ODMin;
    /** 不圆度*/
    private String  outOfRoundness;
    /** 管端直度 */
    private String  endStraightness;
    /** 全长直度 */
    private String  fullLengthStraightness;
    /** 检测支数 */
    private String  checkPieces;
    
    /** 操作班次 */
    private String colShft;
    /** 操作班组 */
    private String colGroup;
    /** 操作人 */
    private String colUser;
    /** 录入时间 */
    private String colTime;
	public String getPlanNo() {
		return planNo;
	}
	public void setPlanNo(String planNo) {
		this.planNo = planNo;
	}
	public String getPlineCode() {
		return plineCode;
	}
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}
	public String getCheckResult() {
		return checkResult;
	}
	public void setCheckResult(String checkResult) {
		this.checkResult = checkResult;
	}
	public String getODMax() {
		return ODMax;
	}
	public void setODMax(String oDMax) {
		ODMax = oDMax;
	}
	public String getODMin() {
		return ODMin;
	}
	public void setODMin(String oDMin) {
		ODMin = oDMin;
	}
	public String getOutOfRoundness() {
		return outOfRoundness;
	}
	public void setOutOfRoundness(String outOfRoundness) {
		this.outOfRoundness = outOfRoundness;
	}
	public String getEndStraightness() {
		return endStraightness;
	}
	public void setEndStraightness(String endStraightness) {
		this.endStraightness = endStraightness;
	}
	public String getFullLengthStraightness() {
		return fullLengthStraightness;
	}
	public void setFullLengthStraightness(String fullLengthStraightness) {
		this.fullLengthStraightness = fullLengthStraightness;
	}
	public String getCheckPieces() {
		return checkPieces;
	}
	public void setCheckPieces(String checkPieces) {
		this.checkPieces = checkPieces;
	}
	public String getColShft() {
		return colShft;
	}
	public void setColShft(String colShft) {
		this.colShft = colShft;
	}
	public String getColGroup() {
		return colGroup;
	}
	public void setColGroup(String colGroup) {
		this.colGroup = colGroup;
	}
	public String getColUser() {
		return colUser;
	}
	public void setColUser(String colUser) {
		this.colUser = colUser;
	}
	public String getColTime() {
		return colTime;
	}
	public void setColTime(String colTime) {
		this.colTime = colTime;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
    
    
}
